Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.simpleapi
Interface ITextItem

All Superinterfaces:
  IDesignElement, IReportElement, IReportItem

    public interface ITextItem

extends IReportItem

Represents a the design of a TextItem in the scripting environment

Field Summary

Fields inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem
`constants`

Method Summary
`java.lang.String` | `getContent()` Gets the text of this text element.
`java.lang.String` | `getContentKey()` Gets the resource key of the text for the item.
`java.lang.String` | `getContentType()` Returns the content type of this text item.
`java.lang.String` | `getDisplayContent()` Returns the localized content for the text.
`void` | `setContent(java.lang.String value)` Sets the text for the text element.
`void` | `setContentKey(java.lang.String resourceKey)` Sets the resource key of the text for the item.
`void` | `setContentType(java.lang.String contentType)` Sets the content type of this text item.

Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem
`addDataBinding, addHideRule, addHighlightRule, getBookmark, getDataBinding, getDataBindings, getHeight, getHideRules, getHighlightRules, getTocExpression, getWidth, getX, getY, removeDataBinding, removeDataBindings, removeHideRule, removeHideRules, removeHighlightRule, removeHighlightRules, setBookmark, setCurrentView, setHeight, setHeight, setTocExpression, setWidth, setWidth, setX, setX, setY, setY`

Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportElement
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getName, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setName`

Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement
`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

Method Detail

### getContent

    java.lang.String getContent()

  Gets the text of this text element.

  Returns:
    the text to display with the element, if this property value is not set, return `null`.

### getDisplayContent

    java.lang.String getDisplayContent()

  Returns the localized content for the text. If the localized text for the text resource key is found, it will be returned. Otherwise, the static text will be returned.

  Returns:
    the localized content for the text.

### setContent

    void setContent(java.lang.String value)
                    throws SemanticException

  Sets the text for the text element.

  Parameters:
    `value` - the new content of the text item
  Throws:
    `SemanticException` - if the property is locked.

### getContentType

    java.lang.String getContentType()

  Returns the content type of this text item. The content type will one of the following constants defined in `DesignChoiceConstants`:
  - `TEXT_CONTENT_TYPE_AUTO`
  - `TEXT_CONTENT_TYPE_PLAIN`
  - `TEXT_CONTENT_TYPE_HTML`
  - `TEXT_CONTENT_TYPE_RTF`

  Returns:
    the content type. if this property value is not set, return `null`.
  See Also:
    `DesignChoiceConstants`

### setContentType

    void setContentType(java.lang.String contentType)
                        throws SemanticException

  Sets the content type of this text item. The content type will one of the following constants defined in `DesignChoiceConstants`:
  - `TEXT_CONTENT_TYPE_AUTO`
  - `TEXT_CONTENT_TYPE_PLAIN`
  - `TEXT_CONTENT_TYPE_HTML`
  - `TEXT_CONTENT_TYPE_RTF`

  Parameters:
    `contentType` - the content type of this text item.
  Throws:
    `SemanticException` - if the value is not a valid choice item.
  See Also:
    `DesignChoiceConstants`

### getContentKey

    java.lang.String getContentKey()

  Gets the resource key of the text for the item.

  Returns:
    the resource key of the text

### setContentKey

    void setContentKey(java.lang.String resourceKey)
                       throws SemanticException

  Sets the resource key of the text for the item.

  Parameters:
    `resourceKey` - the resource key of the text
  Throws:
    `SemanticException` - if the property is locked.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.